
body{
    position: fixed;
    /* width: 100%;
    height: 100%; */
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #000000;
    color:#fff;
    /* padding: 10px; */
    display: grid;
    grid-gap: 10px;
    /* height: 98%; */
    grid-template-rows: auto auto 1fr;
    font-family: Arial, sans-serif;
}

.menuWrapper{
    /* position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 38px; */
    /* display: flex; */
    display: grid;
    grid-template-columns: auto auto;
    grid-gap: 10px;
    
    /* flex-direction: column; */
    /* flex-wrap: wrap; */
    margin-left: auto;
    margin-right: auto;
}

.menuWrapper > * {
    align-self: center;
    align-items: center;
}

.menuRowWrapper{
    display: flex;
    grid-gap: 5px;
    margin-left: auto;
    margin-right: auto;
}

/* .menuRowWrapper > span{
    align-self: center;
} */

.menuColorRowWrapper {
    display: grid;
    grid-template-columns: auto auto 1fr;
    grid-gap: 5px;
    align-items: center;
    /* grid-column: 1 / -1; */
}

#menuColorWrapper {
    display: grid;
    grid-gap: 10px;
    /* flex-direction: column; */
    grid-template-columns: 1fr 1fr;
}

#tempDisplayWrapper{
    display: flex;
    grid-gap: 5px;
    flex-wrap: wrap;
    margin-left: auto;
    margin-right: auto;
}



#bodyWrapper{
    /* position: absolute;
    top: 40;
    bottom: 0;
    left: 0;
    right: 0; */
    overflow: auto;
}

.valInput{
    width: 70px;
}

#imageScale{
    width: 35px;
}

#canv{
    border: 1px solid #000000;
}

#hideInputBtn{
    z-index: 10;
    height: 20px;
    width: 20px;
    position: absolute;
    top: 5px;
    right: 5px;
    background: #333;
    border: 1px solid #ddd;
    border-radius: 10px;
    color: #fff;
    font-size: x-small;
}

#valReset{
    height: 2.3rem;
    width: 2.3rem;
    background: #333;
    border: 1px solid #ddd;
    border-radius: 4px;
    padding: 8px 12px;
    color: #fff;
}

.file{
    display: inline-block;
    padding: 8px 12px;
    background: #333;
    border: 1px solid #ddd;
    border-radius: 4px;
    cursor: pointer;
}

#imgInput{
    display: none;
}

/* #tempDisplayWrapper{
    flex-basis: 100%;
} */

/* .file {
  position: relative;
  display: inline-block;
  cursor: pointer;
  height: 2.5rem;
}
.file input {
  /* min-width: 14rem; 
  width: 8rem;
  /* width: 115px; 
  margin: 0;
  /* filter: alpha(opacity=0); 
  opacity: 0;
}
.file-custom {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  z-index: 5;
  /* height: 2.5rem; 
  padding: .5rem 1rem;
  /* line-height: 1.5; 
  /* color: #555; 
  background-color: #252525;
  border: .075rem solid #ddd;
  border-radius: .25rem;
  /* box-shadow: inset 0 .2rem .4rem rgba(0,0,0,.05); 
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
.file-custom:after {
  content: "rTiff öffnen";
}
/* .file-custom:before {
  position: absolute;
  top: -.075rem;
  right: -.075rem;
  bottom: -.075rem;
  z-index: 6;
  display: block;
  content: "Browse";
  /* height: 2.5rem; 
  padding: .5rem 1rem;
  /* line-height: 1.5; 
  color: #555;
  background-color: #eee;
  border: .075rem solid #ddd;
  border-radius: 0 .25rem .25rem 0;
} */

/* Focus 
.file input:focus ~ .file-custom {
  box-shadow: 0 0 0 .075rem #fff, 0 0 0 .2rem #0074d9;
} */


#flexBreakSmall{
    flex-basis: 100%;
    width:0;
}

#menuColorWrapper{
    grid-column: 1 / -1;
}

/* #tempDisplayWrapper{
    grid-column: 1 / -1;
} */



@media (min-width: 600px) {
    /* .menuWrapper{
        /* flex-direction: row; 
        grid-template-columns: auto auto auto;
        /* margin-left: 10px; 
    } */
/* 
    #menuColorWrapper{
        grid-column: 3;
    } */

    
    #menuColorWrapper{
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

@media (min-width: 900px) {
    .menuWrapper{
        /* flex-direction: row; */
        grid-template-columns: auto auto auto;
        /* margin-left: 10px; */
    }
    /* #menuColorWrapper{
        grid-template-columns: 1fr 1fr 1fr 1fr;
    } */
     
    #menuColorWrapper{
        grid-column: 3;
    }
    /* #tempDisplayWrapper{
        grid-column: 4;
    } */
}
/* 
@media (min-width: 1160px) {
    #tempDisplayWrapper{
        grid-column: 4;
    }
    
} */






.hidden{
    display: none;
}